Bug 64746 - AM_PATH_XML2 always fails
AM_PATH_XML2 always fails
Product: Red Hat Linux
Classification: Retired
Component: libxml2 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Depends On:
  Show dependency treegraph
Reported: 2002-05-10 09:32 EDT by Miloslav Trmac
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-10 09:36:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch fixing this (561 bytes, patch)
2002-05-10 09:36 EDT, Miloslav Trmac
no flags Details | Diff

  None (edit)
Description Miloslav Trmac 2002-05-10 09:32:12 EDT
Because /usr/bin/xml2-config --cflags no longer includes
-I/usr/include/libxml2/libxml (which is good, I don't want to solve
conflicts between header files named tree.h), the AM_PATH_XML2 macro 
in /usr/share/aclocal/libxml.m4 always fails, because it tries to
#include <xmlversion.h> instead of <libxml/xmlversion.h>. The attached patch 
fixes it.

Version-Release number of selected component:
Comment 1 Miloslav Trmac 2002-05-10 09:36:06 EDT
Created attachment 56964 [details]
Patch fixing this
Comment 2 Daniel Veillard 2002-08-29 05:52:57 EDT
Okay this should be fixed in recent releases, the libxml.m4
now always do properly namespaced includes by doing
   #include <libxml/xxx.h> 

  thanks for the report,


Note You need to log in before you can comment on or make changes to this bug.